# Interface CancelTokenStatic

interface CancelTokenStatic {
new CancelTokenStatic (executor: (cancel: Canceler ) => void): CancelToken ;
source (): CancelTokenSource ;
}

- Defined in node_modules/axios/index.d.ts:459

##### Index

### Constructors

constructor

### Methods

source

## Constructors

### constructor

- new CancelTokenStatic(executor: (cancel: Canceler ) => void): CancelToken

  #### Parameters

  - executor: (cancel: Canceler ) => void

  #### Returns CancelToken

  - Defined in node_modules/axios/index.d.ts:460

## Methods

### source

- source(): CancelTokenSource

  #### Returns CancelTokenSource

  - Defined in node_modules/axios/index.d.ts:461